Subject: Re: What's cooking in git.git (Apr 2012, #06; Sun, 15)

From: Nelson Benitez Leon <[email-masked]>
Date: Mon, 16 Apr 2012 13:24:33 +0200

On 04/16/2012 10:20 AM, Junio C Hamano wrote:
> Nelson Benitez Leon <[email-masked]> writes:
> 
>> On 04/16/2012 08:44 AM, Junio C Hamano wrote:
>>>
>>> * nl/http-proxy-more (2012-04-14) 6 commits
>>>  - http: fix proxy authentication
>>>  - http: rename HTTP_REAUTH to HTTP_AUTH_RETRY
>>>  - http: Avoid limit of retrying request only twice
>>>  - http: handle proxy authentication failure (error 407)
>>>  - http: handle proxy proactive authentication
>>>  - http: try http_proxy env var when http.proxy config option is not set
>>>
>>> The code to talk to http proxies learn to use the same credential
>>> API used to talk to the final http destinations.  This still needs
>>> to peek into $ENV{HTTPS_PROXY}.
>>
>> Hi Junio, so this needs some more work, but I don't recall the thread 
>> about it, could you point it to me or explain me what is still lacking.
> 
> I am reasonably sure that all the messages on the thread Peff and I worked
> out the fix-up at the tip of the series shown above were Cc'ed to you.

Ok, I've been offline for a week, I already found the thread and I'm
going through it.